Page MenuHomePhabricator

AMDGPU/SI: Adjust the encoding family for D16 buffer instructions when the target has UnpackedD16VMem feature.
ClosedPublic

Authored by cfang on Jan 25 2018, 9:54 AM.

Details

Diff Detail

Repository
rL LLVM

Event Timeline

cfang created this revision.Jan 25 2018, 9:54 AM
cfang added a comment.Jan 29 2018, 1:22 PM

ping! Thanks.

arsenm requested changes to this revision.Jan 31 2018, 11:19 AM

Needs test

This revision now requires changes to proceed.Jan 31 2018, 11:19 AM
cfang updated this revision to Diff 132284.Jan 31 2018, 3:11 PM

Update tests to expose the LLVM-ERROR withput the patch.

cfang added a comment.Jan 31 2018, 3:12 PM

Needs test

Done! Updated the existing tests to expose the issue. Thanks.

arsenm accepted this revision.Jan 31 2018, 4:35 PM

LGTM

This revision is now accepted and ready to land.Jan 31 2018, 4:35 PM
This revision was automatically updated to reflect the committed changes.